# App server configuration

This repository contains the running configuration files for App server's services (containers).

## Use
* all modifications to services' configurations should be done in this repository and then deployed
(see [below](#deployment))
* then, after it's been tested and validated, a change can be commit and pushed
* this way, it is easy to revert to last working state

### Deployment
Script `deploy.sh` copies configuration files for selected or all of below services, and then reloads Systemd and
restarts said services.

## Services

### Nspawn containers
We use Systemd Nspawn containers to host our applications. They reside in standard directory `/var/lib/machines`,
each mounted from a BTRFS subvolume (see [this repository](https://gitea.kto.black/adminconf/containers) for more
details). These containers' configuration thus reside in 2 places:
* `fstab` lists the subvolumes to mount
* `/etc/systemd/nspawn/` contains each container's configuration file
